0

We have an extension released in Magento with version 1.3.1.

Now we are trying to upload the new extension with version 1.3.2.

This is our composer.json:

{

    "name": "celigo/magento2-netsuite-connector",
    "description": "A Magento 2 module for Celigo Magento2 NetSuite Connector",
    "type": "magento2-module",
    "version": "1.3.2",
    "license": [

    ],
    "require": {
        "php": "~5.6.5|7.0.2|7.0.4|~7.0.6",
        "magento/framework": "100.1.*"
    },
    "autoload": {
        "files": [ "registration.php" ],
        "psr-4": {
            "Celigo\Magento2NetSuiteConnector\": ""
        }
    }
}

On Technical Review i got this error:

Errors during installation

Please visit the Magento DevDocs guide in order to learn how to install extensions and use CLI.

Environment: Operating System - Centos 7, PHP Version - 7.0.23, Magento Platform - 2.1.9 CE

Command: composer require celigo/magento2-netsuite-connector:1.3.2'
Installation issue: Loading composer repositories with package information
Updating dependencies (including require-dev)
Your requirements could not be resolved to an installable set of packages.

Problem 1

The requested package celigo/magento2-netsuite-connector 1.3.2 exists as celigo/magento2-netsuite-connector[0.0.1, 1.1.0, 1.2.0, 1.3.0, 1.3.1] but these are rejected by your constraint.
Installation failed, reverting ./composer.json to its original content.
[Pipeline] }
[Pipeline] // stage
[Pipeline] sh
[DockerOperationsPHP70Magento21CEVarnish] Running shell script

echo Failure
Failure

Why are they trying to install via composer if it does not exist in the composer via the command composer require celigo/magento2-netsuite-connector:1.3.2?

Can anyone please help me getting the extension submitted?

  • You should accept the answer to help other developers to find their solution. – Prince Patel Oct 24 '17 at 4:59
1

As per Marketplace rule,

If you do not submit code within 1 month of the Approved from Business Review date we will assume the product has been abandoned and thus will reject it after 1 month.

See this answer for more details about failed in review: https://magento.stackexchange.com/a/188489/35758

If you don't find any solution to your issue, then email to marketplace@magento.com for the issue.

EDIT

I got mail from marketplace about this issue. This is marketplace core issue and they solved this issue at this morning.

As per mail:

You are not doing anything wrong. we have identified a bug within our install automated testing and pushed a fix to production this morning. We are going to rerun the install tests today for affected extensions (I added your extension to this list).

  • The extension is already live with 1.3.1 version. I am trying to upload a new version. Already approved from Business Review – Ankur Sachdeva Oct 10 '17 at 9:56
  • Then you can email to marketplace@magento.com about this issue. – Prince Patel Oct 10 '17 at 9:59
  • @PrincePatel, But my business review approved few days ago. I am getting same error for this. – Pushpendra Singh Oct 10 '17 at 10:27
  • 1
    AnkurSachdeva and @Pushpendra Singh check my updated answer. This issue was from marketplace. – Prince Patel Oct 12 '17 at 15:28

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.